org.apache.fop.render.afp

## Class AFPRendererImageInfo

- java.lang.Object
- - org.apache.fop.render.afp.AFPRendererImageInfo

-     public class AFPRendererImageInfo
      extends java.lang.Object

  The AFP image information

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map` | `foreignAttributes` the foreign attributes
    `protected org.apache.xmlgraphics.image.loader.Image` | `img` the image
    `protected org.apache.xmlgraphics.image.loader.ImageInfo` | `info` the image info
    `protected java.awt.Point` | `origin` the origin
    `protected java.awt.geom.Rectangle2D` | `pos` the current pos
    `protected RendererContext` | `rendererContext` the renderer context
    `protected java.lang.String` | `uri` the image uri

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPRendererImageInfo(java.lang.String uri, java.awt.geom.Rectangle2D pos, java.awt.Point origin, org.apache.xmlgraphics.image.loader.ImageInfo info, org.apache.xmlgraphics.image.loader.Image img, RendererContext rendererContext, java.util.Map foreignAttributes)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map` | `getForeignAttributes()` Return the foreign attributes
    `org.apache.xmlgraphics.image.loader.Image` | `getImage()` Returns the image
    `org.apache.xmlgraphics.image.loader.ImageInfo` | `getImageInfo()` Returns the image info
    `java.awt.Point` | `getOrigin()` Return the origin
    `java.awt.geom.Rectangle2D` | `getPosition()` Return the position
    `RendererContext` | `getRendererContext()` Returns the renderer context
    `java.lang.String` | `getURI()` Return the uri
    `void` | `setRendererContext(RendererContext rendererContext)` Sets the renderer context
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uri

          protected final java.lang.String uri

      the image uri

    - #### pos

          protected final java.awt.geom.Rectangle2D pos

      the current pos

    - #### origin

          protected final java.awt.Point origin

      the origin

    - #### foreignAttributes

          protected final java.util.Map foreignAttributes

      the foreign attributes

    - #### info

          protected final org.apache.xmlgraphics.image.loader.ImageInfo info

      the image info

    - #### img

          protected final org.apache.xmlgraphics.image.loader.Image img

      the image

    - #### rendererContext

          protected RendererContext rendererContext

      the renderer context

  - ### Constructor Detail

    - #### AFPRendererImageInfo

          public AFPRendererImageInfo(java.lang.String uri,
                                      java.awt.geom.Rectangle2D pos,
                                      java.awt.Point origin,
                                      org.apache.xmlgraphics.image.loader.ImageInfo info,
                                      org.apache.xmlgraphics.image.loader.Image img,
                                      RendererContext rendererContext,
                                      java.util.Map foreignAttributes)

      Main constructor
      Parameters:
        `uri` - the image uri
        `pos` - the image content area
        `origin` - the current position
        `info` - the image info
        `img` - the image
        `rendererContext` - the renderer context
        `foreignAttributes` - the foreign attributes

  - ### Method Detail

    - #### setRendererContext

          public void setRendererContext(RendererContext rendererContext)

      Sets the renderer context
      Parameters:
        `rendererContext` - the renderer context

    - #### getImageInfo

          public org.apache.xmlgraphics.image.loader.ImageInfo getImageInfo()

      Returns the image info
      Returns:
        the image info

    - #### getImage

          public org.apache.xmlgraphics.image.loader.Image getImage()

      Returns the image
      Returns:
        the image

    - #### getRendererContext

          public RendererContext getRendererContext()

      Returns the renderer context
      Returns:
        the renderer context

    - #### getForeignAttributes

          public java.util.Map getForeignAttributes()

      Return the foreign attributes
      Returns:
        the foreign attributes

    - #### getURI

          public java.lang.String getURI()

      Return the uri
      Returns:
        the uri

    - #### getOrigin

          public java.awt.Point getOrigin()

      Return the origin
      Returns:
        the origin

    - #### getPosition

          public java.awt.geom.Rectangle2D getPosition()

      Return the position
      Returns:
        the position

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.